petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscSectionSetFieldComponents

Sets the number of field components for the given field.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode PetscSectionSetFieldComponents(PetscSection s, PetscInt field, PetscInt numComp)

Not collective

### Input Parameters

| s | - the PetscSection
| field | - the field number
| numComp | - the number of field components

### See Also

PetscSectionGetNumFieldComponents(), PetscSectionGetNumFields()

### Level

intermediate

### Location

src/vec/is/utils/vsectionis.c

### Examples

src/ts/examples/tutorials/ex11.c.html
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages